=== modified file 'source/api.py'
--- source/api.py	2009-12-08 07:04:22 +0000
+++ source/api.py	2010-02-17 15:31:21 +0000
@@ -307,6 +307,20 @@
 		return None
 	left, top, width, height = location
 	bottom = top + height - 1
+
+	# Account for window border
+	style = foreground.windowStyle
+	if style & winUser.WS_SIZEBOX:
+		left += winUser.getSystemMetrics(winUser.SM_CXSIZEFRAME)
+		bottom -= winUser.getSystemMetrics(winUser.SM_CYSIZEFRAME)
+	elif style & winUser.WS_DLGFRAME:
+		left += winUser.getSystemMetrics(winUser.SM_CXDLGFRAME)
+		bottom -= winUser.getSystemMetrics(winUser.SM_CYDLGFRAME)
+	elif style & winUser.WS_BORDER:
+		left += winUser.getSystemMetrics(winUser.SM_CXFIXEDFRAME)
+		bottom -= winUser.getSystemMetrics(winUser.SM_CYFIXEDFRAME)
+
+	# Lookup the accessible object now
 	obj = NVDAObjects.IAccessible.getNVDAObjectFromPoint(left, bottom)
 
 	# We may have landed in a child of the status bar, so search the ancestry for a status bar.

=== modified file 'source/winUser.py'
--- source/winUser.py	2009-11-11 07:06:34 +0000
+++ source/winUser.py	2010-02-17 15:34:19 +0000
@@ -58,6 +58,8 @@
 WS_SYSMENU=0x80000
 WS_HSCROLL=0x100000
 WS_VSCROLL=0x200000
+WS_DLGFRAME=0x800000
+WS_BORDER=0x800000
 WS_CAPTION=0xC00000
 BS_GROUPBOX=7
 ES_MULTILINE=4
@@ -81,6 +83,13 @@
 GW_HWNDNEXT=2
 GW_HWNDPREV=3
 GW_OWNER=4
+#getSystemMetrics
+SM_CXFIXEDFRAME=7
+SM_CYFIXEDFRAME=8
+SM_CXDLGFRAME=7
+SM_CYDLGFRAME=8
+SM_CXSIZEFRAME=32
+SM_CYSIZEFRAME=33
 #Window messages
 WM_GETTEXT=13
 WM_GETTEXTLENGTH=14
@@ -270,6 +279,9 @@
 	user32.SystemParametersInfoW(SPI_GETSCREENREADER, 0, byref(val), 0)
 	return bool(val.value)
 
+def getSystemMetrics(index):
+	return user32.GetSystemMetrics(index)
+
 def LOBYTE(word):
 	return word&0xFF
  

